> ## Documentation Index
> Fetch the complete documentation index at: https://integrate.essentry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Synchronize Events and Invitations

> Patch semantics (absent/null = unchanged). Upserts by sourceId.



## OpenAPI

````yaml api-reference/openapi.yaml put /events
openapi: 3.0.0
info:
  title: essentry API
  version: 0.0.0
servers:
  - url: https://app.essentry.com/api/v2
    description: essentry Cloud
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Pre-Processor
  - name: User Provisioning
  - name: Permanent Identities
  - name: Access Control
  - name: Post-Processor
paths:
  /events:
    put:
      tags:
        - Pre-Processor
      summary: Synchronize Events and Invitations
      description: Patch semantics (absent/null = unchanged). Upserts by sourceId.
      operationId: PreProcessor_synchronizeEvent
      parameters:
        - name: ignoreMissingInvitations
          in: query
          required: false
          schema:
            type: boolean
            default: false
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                events:
                  type: array
                  items:
                    $ref: '#/components/schemas/ManagedEvent'
                  minItems: 1
              required:
                - events
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        sourceId:
                          type: string
                        status:
                          type: string
                          enum:
                            - SUCCESS
                            - ERROR_EVENT_IN_PAST
                            - ERROR_USER_CANNOT_HOST_AT_LOCATION
                            - ERROR_SERIES_MASTER_EVENT_IS_NOT_CREATED
                      required:
                        - sourceId
                        - status
                required:
                  - events
components:
  schemas:
    ManagedEvent:
      type: object
      required:
        - sourceId
      properties:
        sourceId:
          type: string
          minLength: 1
          description: >-
            This is the ID in your system. It is used to track the same event
            over its lifetime.
        name:
          type: string
          minLength: 1
          description: If absent, the current value is kept.
        description:
          type: string
        startsAt:
          type: string
          format: date-time
          description: If absent, the current value is kept.
        endsAt:
          type: string
          format: date-time
          description: If absent, the current value is kept.
        locationId:
          type: integer
          description: If absent, the current value is kept.
        entranceId:
          type: integer
        host:
          type: object
          properties:
            email:
              type: string
              format: email
            firstName:
              type: string
            lastName:
              type: string
            phoneNumber:
              type: string
          required:
            - email
          description: If absent, the current value is kept.
        creator:
          type: object
          properties:
            email:
              type: string
              format: email
            firstName:
              type: string
            lastName:
              type: string
            phoneNumber:
              type: string
          required:
            - email
        invitations:
          type: array
          items:
            type: object
            properties:
              sourceId:
                type: string
                minLength: 1
                description: >-
                  This is the ID in your system. It can be used to transition an
                  associated check-in.
              email:
                type: string
                format: email
              firstName:
                type: string
              lastName:
                type: string
              companyName:
                type: string
              customFields:
                type: object
                additionalProperties: {}
              language:
                $ref: '#/components/schemas/GuestLanguage'
              deletedAt:
                type: string
                format: date-time
                description: >-
                  If set, the invitation will be removed from the event and a
                  cancellation email sent to this guest.
          description: If absent, the current value is kept.
        accessProfiles:
          type: array
          items:
            type: object
            properties:
              accessProfileGroupSourceId:
                type: string
                description: >-
                  Your ID of the access profile group, as configured in your
                  integration.
              sourceId:
                type: string
                description: The ID of the profile in the access control system.
            required:
              - accessProfileGroupSourceId
              - sourceId
        customFields:
          type: object
          additionalProperties: {}
        updatedAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          format: date-time
          description: >-
            If set, the event will be deleted and cancellation emails sent to
            guests.
    GuestLanguage:
      type: string
      enum:
        - CS
        - DE
        - EN
        - ES
        - FR
        - HR
        - HU
        - IT
        - NL
        - PL
        - PT
        - RO
        - RU
        - TR
        - ZH_CN
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````